#include <iostream>
using namespace std;
int main()
{
long long int k;
cin>>k;
long long int i = 0, n=0;
long long int ukupno;
ukupno = k*3;
cout<<ukupno<<endl;
for(i=0;i<k;i++)
{
  if(i%2==0)
  {
  cout<<i<<" "<<n<<endl;
  n=n+1;
  cout<<i<<" "<<n<<endl;
  n=n+1;
  cout<<i<<" "<<n<<endl;
  }
  else{


  cout<<i<<" "<<-n<<endl;
  n=n+1;
  cout<<i<<" "<<-n<<endl;
  n=n+1;
  cout<<i<<" "<<-n<<endl;

  }
  n=n+k;
}



}